* GUT, J.A.W. Programao Matemtica para Otimizao de Processos. EDUSP 2021.
* https://sites.usp.br/otimizacao/
***** Problema de alocao ********************************
***** Declarao de variveis *****************************
FREE VARIABLE f;
POSITIVE VARIABLE x1, x2, x3;
BINARY VARIABLE y11, y12, y13, y14, y15, y21, y22, y23, y24,
y25, y31, y32, y33, y34, y35;
***** Declarao de equaes ******************************
EQUATION h0, g1, g2, g3, g4, g5, g6, g7, g8, g9, g10, g11;
***** Equaes ********************************************
h0.. f - 10*x1 - 8*x2 - 6*x3 =E= 0;
g1.. 2900 - (2700*y11 + 2800*y12 + 1100*y13 + 1800*y14 + 3400*y15) - x1 =L= 0;
g2.. 4000 - (2700*y21 + 2800*y22 + 1100*y23 + 1800*y24 + 3400*y25) - x2 =L= 0;
g3.. 4900 - (2700*y31 + 2800*y32 + 1100*y33 + 1800*y34 + 3400*y35) - x3 =L= 0;
g4.. x1 - 750 =L= 0;
g5.. x2 - 500 =L= 0;
g6.. x3 - 900 =L= 0;
g7.. y11 + y21 + y31 - 1 =L= 0;
g8.. y12 + y22 + y32 - 1 =L= 0;
g9.. y13 + y23 + y33 - 1 =L= 0;
g10.. y14 + y24 + y34 - 1 =L= 0;
g11.. y15 + y25 + y35 - 1 =L= 0;
***** Soluo do problema *********************************
MODEL caminhao /ALL/ ;
SOLVE caminhao USING MIP MINIMAZING f;
***********************************************************
